<?php

/**
 * @file
 * ocio_calendar.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ocio_calendar_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function ocio_calendar_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_custom_breadcrumb_features_default_settings().
 */
function ocio_calendar_custom_breadcrumb_features_default_settings() {
  $custom_breadcrumbs = array();

  // Exported custom breadcrumb: calendar_entry.
  $custom_breadcrumbs['calendar_entry'] = array(
    'name' => 'Calendar Entry',
    'titles' => 'Calendar',
    'paths' => 'calendar',
    'visibility_php' => '',
    'node_type' => 'calendar_entry',
    'language' => '',
    'machine_name' => 'calendar_entry',
  );

  return $custom_breadcrumbs;
}

/**
 * Implements hook_custom_breadcrumbs_paths_features_default_settings().
 */
function ocio_calendar_custom_breadcrumbs_paths_features_default_settings() {
  $custom_breadcrumbs = array();

  // Exported custom breadcrumb: calendar_tags.
  $custom_breadcrumbs['calendar_tags'] = array(
    'name' => 'Calendar Tags',
    'titles' => 'Calendar',
    'paths' => 'calendar',
    'visibility_php' => '',
    'specific_path' => 'calendar-tags/*',
    'language' => '',
    'machine_name' => 'calendar_tags',
  );

  return $custom_breadcrumbs;
}

/**
 * Implements hook_node_info().
 */
function ocio_calendar_node_info() {
  $items = array(
    'calendar_entry' => array(
      'name' => t('Calendar Entry'),
      'base' => 'node_content',
      'description' => t('An entry to place on the site calendar.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
