<?php
/**
 * @file
 * wcm_addtoany.features.features_overrides.inc
 */

/**
 * Implements hook_features_override_default_overrides().
 */
function wcm_addtoany_features_override_default_overrides() {
  // This code is only used for UI in features. Exported alters hooks do the magic.
  $overrides = array();

  // Exported overrides for: ds_field_settings
  $overrides["ds_field_settings.node|article|full.settings|addtoany"] = array(
    'weight' => 8,
    'label' => 'inline',
    'format' => 'default',
    'formatter_settings' => array(
      'ft' => array(
        'lb' => 'Share this page',
      ),
    ),
  );
  $overrides["ds_field_settings.node|news_client_cached_article|full.settings|addtoany"] = array(
    'weight' => 6,
    'label' => 'inline',
    'format' => 'default',
    'formatter_settings' => array(
      'ft' => array(
        'lb' => 'Share this page',
      ),
    ),
  );

  // Exported overrides for: ds_layout_settings
  $overrides["ds_layout_settings.node|article|full.settings|fields|addtoany"] = 'footer';
  $overrides["ds_layout_settings.node|news_client_cached_article|full.settings|fields|addtoany"] = 'footer';

 return $overrides;
}
