<?php
// Plugin definition
$plugin = array(
  'title' => t('Layout 11b'),
  'icon' => 'wcm-omega-11b.png',
  'category' => t('WCM Omega Layouts'),
  'theme' => 'wcm_omega_11b',
  'css' => '../wcm-omega-layouts.css',
  'regions' => array(
    'header' => t('Header'),
    'tiles_header_1' => t('Tiles Header 1'),
    'tile1' => t('Tile 1'),
    'tile2' => t('Tile 2'),
    'tile3' => t('Tile 3'),
    'tile4' => t('Tile 4'),
    'tile5' => t('Tile 5'),
    'row_1_col_1' =>t('Row 1, Column 1'),
    'tiles_header_2' => t('Tiles Header 2'),
    'tile6' => t('Tile 6'),
    'tile7' => t('Tile 7'),
    'tile8' => t('Tile 8'),
    'tile9' => t('Tile 9'),
    'tile10' => t('Tile 10'),
    'row_2_col_1' =>t('Row 2, Column 1'),
    'row_2_col_2' =>t('Row 2, Column 2'),
    'footer' => t('Footer'),
  ),
);

/**
 * Implements hook_preprocess_wcm_omega_11a().
 */
function template_preprocess_wcm_omega_11b(&$vars) {
  $rows = array(
    'header' => array('header'),
    'tiles_group_1' =>array('tiles_header_1','tile1', 'tile2', 'tile3', 'tile4', 'tile5', 'row_1_col_1'),
    'tiles_group_2' =>array('tiles_header_2','tile6', 'tile7', 'tile8', 'tile9', 'tile10'),
    'row_2' =>array('row_2_col_1','row_2_col_2'),
    'footer' => array('footer'),
  );

  $vars['panels_row'] = ocio_omega_settings_panel_rows($rows, $vars);
  $vars['panels_row_classes'] = ocio_omega_settings_panel_row_classes();
}
