<?php
// Plugin definition
$plugin = array(
  'title' => t('Layout 1b'),
  'icon' => 'wcm-omega-1b.png',
  'category' => t('WCM Omega Layouts'),
  'theme' => 'wcm_omega_1b',
  'css' => '../wcm-omega-layouts.css',
  'regions' => array(
    'header' => t('Header'),
    'row_1_col_1' =>t('Row 1, Column 1'),
    'row_1_col_2' =>t('Row 1, Column 2'),
    'tiles_header' => t('Tiles Header'),
    'tile1' => t('Tile 1'),
    'tile2' => t('Tile 2'),
    'tile3' => t('Tile 3'),
    'tile4' => t('Tile 4'),
    'tile5' => t('Tile 5'),
    'tile6' => t('Tile 6'),
    'tile7' => t('Tile 7'),
    'row_2_col_1' =>t('Row 2, Column 1'),
    'row_2_col_2' =>t('Row 2, Column 2'),
    'footer' => t('Footer'),
  ),
);

/**
 * Implements hook_preprocess_wcm_omega_1b().
 */
function template_preprocess_wcm_omega_1b(&$vars) {
  $rows = array(
    'header' => array('header'),
    'column_group_1' =>array('row_1_col_1','row_1_col_2'),
    'tiles_group' => array('tiles_header','tile1', 'tile2', 'tile3', 'tile4', 'tile5', 'tile6', 'tile7'),
    'column_group_2' =>array('row_2_col_1','row_2_col_2'),
    'footer' => array('footer'),
  );

  $vars['panels_row'] = ocio_omega_settings_panel_rows($rows, $vars);
  $vars['panels_row_classes'] = ocio_omega_settings_panel_row_classes();
}
